package com.mortals.xhx.module.staff.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.staff.model.StaffPerformStatEntity;
/**
 * 员工绩效统计查询对象
 *
 * @author zxfei
 * @date 2024-03-12
 */
public class StaffPerformStatQuery extends StaffPerformStatEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 部门id号 */
    private Long staffIdStart;

    /** 结束 部门id号 */
    private Long staffIdEnd;

    /** 增加 部门id号 */
    private Long staffIdIncrement;

    /** 部门id号列表 */
    private List <Long> staffIdList;

    /** 部门id号排除列表 */
    private List <Long> staffIdNotList;

    /** 部门名称 */
    private List<String> staffNameList;

    /** 部门名称排除列表 */
    private List <String> staffNameNotList;
    /** 开始 员工绩效总分数 */
    private BigDecimal totalScoreStart;

    /** 结束 员工绩效总分数 */
    private BigDecimal totalScoreEnd;

    /** 增加 员工绩效总分数 */
    private BigDecimal totalScoreIncrement;

    /** 员工绩效总分数列表 */
    private List <BigDecimal> totalScoreList;

    /** 员工绩效总分数排除列表 */
    private List <BigDecimal> totalScoreNotList;

    /** 开始 员工绩效加分总分数汇总 */
    private BigDecimal totalAddScoreStart;

    /** 结束 员工绩效加分总分数汇总 */
    private BigDecimal totalAddScoreEnd;

    /** 增加 员工绩效加分总分数汇总 */
    private BigDecimal totalAddScoreIncrement;

    /** 员工绩效加分总分数汇总列表 */
    private List <BigDecimal> totalAddScoreList;

    /** 员工绩效加分总分数汇总排除列表 */
    private List <BigDecimal> totalAddScoreNotList;

    /** 开始 员工绩效减分总分数汇总 */
    private BigDecimal totalSubScoreStart;

    /** 结束 员工绩效减分总分数汇总 */
    private BigDecimal totalSubScoreEnd;

    /** 增加 员工绩效减分总分数汇总 */
    private BigDecimal totalSubScoreIncrement;

    /** 员工绩效减分总分数汇总列表 */
    private List <BigDecimal> totalSubScoreList;

    /** 员工绩效减分总分数汇总排除列表 */
    private List <BigDecimal> totalSubScoreNotList;

    /** 开始 考勤绩效指标增加分数 */
    private BigDecimal attendScoreAddStart;

    /** 结束 考勤绩效指标增加分数 */
    private BigDecimal attendScoreAddEnd;

    /** 增加 考勤绩效指标增加分数 */
    private BigDecimal attendScoreAddIncrement;

    /** 考勤绩效指标增加分数列表 */
    private List <BigDecimal> attendScoreAddList;

    /** 考勤绩效指标增加分数排除列表 */
    private List <BigDecimal> attendScoreAddNotList;

    /** 开始 考勤绩效指标扣减分数 */
    private BigDecimal attendScoreSubStart;

    /** 结束 考勤绩效指标扣减分数 */
    private BigDecimal attendScoreSubEnd;

    /** 增加 考勤绩效指标扣减分数 */
    private BigDecimal attendScoreSubIncrement;

    /** 考勤绩效指标扣减分数列表 */
    private List <BigDecimal> attendScoreSubList;

    /** 考勤绩效指标扣减分数排除列表 */
    private List <BigDecimal> attendScoreSubNotList;

    /** 开始 评价绩效指标增加分数 */
    private BigDecimal reviewScoreAddStart;

    /** 结束 评价绩效指标增加分数 */
    private BigDecimal reviewScoreAddEnd;

    /** 增加 评价绩效指标增加分数 */
    private BigDecimal reviewScoreAddIncrement;

    /** 评价绩效指标增加分数列表 */
    private List <BigDecimal> reviewScoreAddList;

    /** 评价绩效指标增加分数排除列表 */
    private List <BigDecimal> reviewScoreAddNotList;

    /** 开始 评价绩效指标扣减分数 */
    private BigDecimal reviewScoreSubStart;

    /** 结束 评价绩效指标扣减分数 */
    private BigDecimal reviewScoreSubEnd;

    /** 增加 评价绩效指标扣减分数 */
    private BigDecimal reviewScoreSubIncrement;

    /** 评价绩效指标扣减分数列表 */
    private List <BigDecimal> reviewScoreSubList;

    /** 评价绩效指标扣减分数排除列表 */
    private List <BigDecimal> reviewScoreSubNotList;

    /** 开始 投诉绩效指标增加分数 */
    private BigDecimal complainScoreAddStart;

    /** 结束 投诉绩效指标增加分数 */
    private BigDecimal complainScoreAddEnd;

    /** 增加 投诉绩效指标增加分数 */
    private BigDecimal complainScoreAddIncrement;

    /** 投诉绩效指标增加分数列表 */
    private List <BigDecimal> complainScoreAddList;

    /** 投诉绩效指标增加分数排除列表 */
    private List <BigDecimal> complainScoreAddNotList;

    /** 开始 投诉绩效指标扣减分数 */
    private BigDecimal complainScoreSubStart;

    /** 结束 投诉绩效指标扣减分数 */
    private BigDecimal complainScoreSubEnd;

    /** 增加 投诉绩效指标扣减分数 */
    private BigDecimal complainScoreSubIncrement;

    /** 投诉绩效指标扣减分数列表 */
    private List <BigDecimal> complainScoreSubList;

    /** 投诉绩效指标扣减分数排除列表 */
    private List <BigDecimal> complainScoreSubNotList;

    /** 开始 办件绩效指标增加分数 */
    private BigDecimal goworkScoreAddStart;

    /** 结束 办件绩效指标增加分数 */
    private BigDecimal goworkScoreAddEnd;

    /** 增加 办件绩效指标增加分数 */
    private BigDecimal goworkScoreAddIncrement;

    /** 办件绩效指标增加分数列表 */
    private List <BigDecimal> goworkScoreAddList;

    /** 办件绩效指标增加分数排除列表 */
    private List <BigDecimal> goworkScoreAddNotList;

    /** 开始 办件绩效指标扣减分数 */
    private BigDecimal goworkScoreSubStart;

    /** 结束 办件绩效指标扣减分数 */
    private BigDecimal goworkScoreSubEnd;

    /** 增加 办件绩效指标扣减分数 */
    private BigDecimal goworkScoreSubIncrement;

    /** 办件绩效指标扣减分数列表 */
    private List <BigDecimal> goworkScoreSubList;

    /** 办件绩效指标扣减分数排除列表 */
    private List <BigDecimal> goworkScoreSubNotList;

    /** 开始 效能绩效指标增加分数 */
    private BigDecimal effectScoreAddStart;

    /** 结束 效能绩效指标增加分数 */
    private BigDecimal effectScoreAddEnd;

    /** 增加 效能绩效指标增加分数 */
    private BigDecimal effectScoreAddIncrement;

    /** 效能绩效指标增加分数列表 */
    private List <BigDecimal> effectScoreAddList;

    /** 效能绩效指标增加分数排除列表 */
    private List <BigDecimal> effectScoreAddNotList;

    /** 开始 效能绩效指标扣减分数 */
    private BigDecimal effectScoreSubStart;

    /** 结束 效能绩效指标扣减分数 */
    private BigDecimal effectScoreSubEnd;

    /** 增加 效能绩效指标扣减分数 */
    private BigDecimal effectScoreSubIncrement;

    /** 效能绩效指标扣减分数列表 */
    private List <BigDecimal> effectScoreSubList;

    /** 效能绩效指标扣减分数排除列表 */
    private List <BigDecimal> effectScoreSubNotList;

    /** 开始 其它绩效指标增加分数 */
    private BigDecimal otherScoreAddStart;

    /** 结束 其它绩效指标增加分数 */
    private BigDecimal otherScoreAddEnd;

    /** 增加 其它绩效指标增加分数 */
    private BigDecimal otherScoreAddIncrement;

    /** 其它绩效指标增加分数列表 */
    private List <BigDecimal> otherScoreAddList;

    /** 其它绩效指标增加分数排除列表 */
    private List <BigDecimal> otherScoreAddNotList;

    /** 开始 其它绩效指标扣减分数 */
    private BigDecimal otherScoreSubStart;

    /** 结束 其它绩效指标扣减分数 */
    private BigDecimal otherScoreSubEnd;

    /** 增加 其它绩效指标扣减分数 */
    private BigDecimal otherScoreSubIncrement;

    /** 其它绩效指标扣减分数列表 */
    private List <BigDecimal> otherScoreSubList;

    /** 其它绩效指标扣减分数排除列表 */
    private List <BigDecimal> otherScoreSubNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 所属大厅 */
    private Long salaIdStart;

    /** 结束 所属大厅 */
    private Long salaIdEnd;

    /** 增加 所属大厅 */
    private Long salaIdIncrement;

    /** 所属大厅列表 */
    private List <Long> salaIdList;

    /** 所属大厅排除列表 */
    private List <Long> salaIdNotList;

    /** 所属大厅名称 */
    private List<String> salaNameList;

    /** 所属大厅名称排除列表 */
    private List <String> salaNameNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffPerformStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffPerformStatQuery> andConditionList;

    public StaffPerformStatQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 部门id号
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 部门id号
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 部门id号
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 部门id号
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 部门id号
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 部门id号
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 部门id号
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 部门id号
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 部门id号
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 部门id号
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 部门名称
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 部门名称
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 部门名称
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 部门名称
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 开始 员工绩效总分数
     * @return totalScoreStart
     */
    public BigDecimal getTotalScoreStart(){
        return this.totalScoreStart;
    }

    /**
     * 设置 开始 员工绩效总分数
     * @param totalScoreStart
     */
    public void setTotalScoreStart(BigDecimal totalScoreStart){
        this.totalScoreStart = totalScoreStart;
    }

    /**
     * 获取 结束 员工绩效总分数
     * @return $totalScoreEnd
     */
    public BigDecimal getTotalScoreEnd(){
        return this.totalScoreEnd;
    }

    /**
     * 设置 结束 员工绩效总分数
     * @param totalScoreEnd
     */
    public void setTotalScoreEnd(BigDecimal totalScoreEnd){
        this.totalScoreEnd = totalScoreEnd;
    }

    /**
     * 获取 增加 员工绩效总分数
     * @return totalScoreIncrement
     */
    public BigDecimal getTotalScoreIncrement(){
        return this.totalScoreIncrement;
    }

    /**
     * 设置 增加 员工绩效总分数
     * @param totalScoreIncrement
     */
    public void setTotalScoreIncrement(BigDecimal totalScoreIncrement){
        this.totalScoreIncrement = totalScoreIncrement;
    }

    /**
     * 获取 员工绩效总分数
     * @return totalScoreList
     */
    public List<BigDecimal> getTotalScoreList(){
        return this.totalScoreList;
    }

    /**
     * 设置 员工绩效总分数
     * @param totalScoreList
     */
    public void setTotalScoreList(List<BigDecimal> totalScoreList){
        this.totalScoreList = totalScoreList;
    }

    /**
     * 获取 员工绩效总分数
     * @return totalScoreNotList
     */
    public List<BigDecimal> getTotalScoreNotList(){
        return this.totalScoreNotList;
    }

    /**
     * 设置 员工绩效总分数
     * @param totalScoreNotList
     */
    public void setTotalScoreNotList(List<BigDecimal> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
    }


    /**
     * 获取 开始 员工绩效加分总分数汇总
     * @return totalAddScoreStart
     */
    public BigDecimal getTotalAddScoreStart(){
        return this.totalAddScoreStart;
    }

    /**
     * 设置 开始 员工绩效加分总分数汇总
     * @param totalAddScoreStart
     */
    public void setTotalAddScoreStart(BigDecimal totalAddScoreStart){
        this.totalAddScoreStart = totalAddScoreStart;
    }

    /**
     * 获取 结束 员工绩效加分总分数汇总
     * @return $totalAddScoreEnd
     */
    public BigDecimal getTotalAddScoreEnd(){
        return this.totalAddScoreEnd;
    }

    /**
     * 设置 结束 员工绩效加分总分数汇总
     * @param totalAddScoreEnd
     */
    public void setTotalAddScoreEnd(BigDecimal totalAddScoreEnd){
        this.totalAddScoreEnd = totalAddScoreEnd;
    }

    /**
     * 获取 增加 员工绩效加分总分数汇总
     * @return totalAddScoreIncrement
     */
    public BigDecimal getTotalAddScoreIncrement(){
        return this.totalAddScoreIncrement;
    }

    /**
     * 设置 增加 员工绩效加分总分数汇总
     * @param totalAddScoreIncrement
     */
    public void setTotalAddScoreIncrement(BigDecimal totalAddScoreIncrement){
        this.totalAddScoreIncrement = totalAddScoreIncrement;
    }

    /**
     * 获取 员工绩效加分总分数汇总
     * @return totalAddScoreList
     */
    public List<BigDecimal> getTotalAddScoreList(){
        return this.totalAddScoreList;
    }

    /**
     * 设置 员工绩效加分总分数汇总
     * @param totalAddScoreList
     */
    public void setTotalAddScoreList(List<BigDecimal> totalAddScoreList){
        this.totalAddScoreList = totalAddScoreList;
    }

    /**
     * 获取 员工绩效加分总分数汇总
     * @return totalAddScoreNotList
     */
    public List<BigDecimal> getTotalAddScoreNotList(){
        return this.totalAddScoreNotList;
    }

    /**
     * 设置 员工绩效加分总分数汇总
     * @param totalAddScoreNotList
     */
    public void setTotalAddScoreNotList(List<BigDecimal> totalAddScoreNotList){
        this.totalAddScoreNotList = totalAddScoreNotList;
    }


    /**
     * 获取 开始 员工绩效减分总分数汇总
     * @return totalSubScoreStart
     */
    public BigDecimal getTotalSubScoreStart(){
        return this.totalSubScoreStart;
    }

    /**
     * 设置 开始 员工绩效减分总分数汇总
     * @param totalSubScoreStart
     */
    public void setTotalSubScoreStart(BigDecimal totalSubScoreStart){
        this.totalSubScoreStart = totalSubScoreStart;
    }

    /**
     * 获取 结束 员工绩效减分总分数汇总
     * @return $totalSubScoreEnd
     */
    public BigDecimal getTotalSubScoreEnd(){
        return this.totalSubScoreEnd;
    }

    /**
     * 设置 结束 员工绩效减分总分数汇总
     * @param totalSubScoreEnd
     */
    public void setTotalSubScoreEnd(BigDecimal totalSubScoreEnd){
        this.totalSubScoreEnd = totalSubScoreEnd;
    }

    /**
     * 获取 增加 员工绩效减分总分数汇总
     * @return totalSubScoreIncrement
     */
    public BigDecimal getTotalSubScoreIncrement(){
        return this.totalSubScoreIncrement;
    }

    /**
     * 设置 增加 员工绩效减分总分数汇总
     * @param totalSubScoreIncrement
     */
    public void setTotalSubScoreIncrement(BigDecimal totalSubScoreIncrement){
        this.totalSubScoreIncrement = totalSubScoreIncrement;
    }

    /**
     * 获取 员工绩效减分总分数汇总
     * @return totalSubScoreList
     */
    public List<BigDecimal> getTotalSubScoreList(){
        return this.totalSubScoreList;
    }

    /**
     * 设置 员工绩效减分总分数汇总
     * @param totalSubScoreList
     */
    public void setTotalSubScoreList(List<BigDecimal> totalSubScoreList){
        this.totalSubScoreList = totalSubScoreList;
    }

    /**
     * 获取 员工绩效减分总分数汇总
     * @return totalSubScoreNotList
     */
    public List<BigDecimal> getTotalSubScoreNotList(){
        return this.totalSubScoreNotList;
    }

    /**
     * 设置 员工绩效减分总分数汇总
     * @param totalSubScoreNotList
     */
    public void setTotalSubScoreNotList(List<BigDecimal> totalSubScoreNotList){
        this.totalSubScoreNotList = totalSubScoreNotList;
    }


    /**
     * 获取 开始 考勤绩效指标增加分数
     * @return attendScoreAddStart
     */
    public BigDecimal getAttendScoreAddStart(){
        return this.attendScoreAddStart;
    }

    /**
     * 设置 开始 考勤绩效指标增加分数
     * @param attendScoreAddStart
     */
    public void setAttendScoreAddStart(BigDecimal attendScoreAddStart){
        this.attendScoreAddStart = attendScoreAddStart;
    }

    /**
     * 获取 结束 考勤绩效指标增加分数
     * @return $attendScoreAddEnd
     */
    public BigDecimal getAttendScoreAddEnd(){
        return this.attendScoreAddEnd;
    }

    /**
     * 设置 结束 考勤绩效指标增加分数
     * @param attendScoreAddEnd
     */
    public void setAttendScoreAddEnd(BigDecimal attendScoreAddEnd){
        this.attendScoreAddEnd = attendScoreAddEnd;
    }

    /**
     * 获取 增加 考勤绩效指标增加分数
     * @return attendScoreAddIncrement
     */
    public BigDecimal getAttendScoreAddIncrement(){
        return this.attendScoreAddIncrement;
    }

    /**
     * 设置 增加 考勤绩效指标增加分数
     * @param attendScoreAddIncrement
     */
    public void setAttendScoreAddIncrement(BigDecimal attendScoreAddIncrement){
        this.attendScoreAddIncrement = attendScoreAddIncrement;
    }

    /**
     * 获取 考勤绩效指标增加分数
     * @return attendScoreAddList
     */
    public List<BigDecimal> getAttendScoreAddList(){
        return this.attendScoreAddList;
    }

    /**
     * 设置 考勤绩效指标增加分数
     * @param attendScoreAddList
     */
    public void setAttendScoreAddList(List<BigDecimal> attendScoreAddList){
        this.attendScoreAddList = attendScoreAddList;
    }

    /**
     * 获取 考勤绩效指标增加分数
     * @return attendScoreAddNotList
     */
    public List<BigDecimal> getAttendScoreAddNotList(){
        return this.attendScoreAddNotList;
    }

    /**
     * 设置 考勤绩效指标增加分数
     * @param attendScoreAddNotList
     */
    public void setAttendScoreAddNotList(List<BigDecimal> attendScoreAddNotList){
        this.attendScoreAddNotList = attendScoreAddNotList;
    }


    /**
     * 获取 开始 考勤绩效指标扣减分数
     * @return attendScoreSubStart
     */
    public BigDecimal getAttendScoreSubStart(){
        return this.attendScoreSubStart;
    }

    /**
     * 设置 开始 考勤绩效指标扣减分数
     * @param attendScoreSubStart
     */
    public void setAttendScoreSubStart(BigDecimal attendScoreSubStart){
        this.attendScoreSubStart = attendScoreSubStart;
    }

    /**
     * 获取 结束 考勤绩效指标扣减分数
     * @return $attendScoreSubEnd
     */
    public BigDecimal getAttendScoreSubEnd(){
        return this.attendScoreSubEnd;
    }

    /**
     * 设置 结束 考勤绩效指标扣减分数
     * @param attendScoreSubEnd
     */
    public void setAttendScoreSubEnd(BigDecimal attendScoreSubEnd){
        this.attendScoreSubEnd = attendScoreSubEnd;
    }

    /**
     * 获取 增加 考勤绩效指标扣减分数
     * @return attendScoreSubIncrement
     */
    public BigDecimal getAttendScoreSubIncrement(){
        return this.attendScoreSubIncrement;
    }

    /**
     * 设置 增加 考勤绩效指标扣减分数
     * @param attendScoreSubIncrement
     */
    public void setAttendScoreSubIncrement(BigDecimal attendScoreSubIncrement){
        this.attendScoreSubIncrement = attendScoreSubIncrement;
    }

    /**
     * 获取 考勤绩效指标扣减分数
     * @return attendScoreSubList
     */
    public List<BigDecimal> getAttendScoreSubList(){
        return this.attendScoreSubList;
    }

    /**
     * 设置 考勤绩效指标扣减分数
     * @param attendScoreSubList
     */
    public void setAttendScoreSubList(List<BigDecimal> attendScoreSubList){
        this.attendScoreSubList = attendScoreSubList;
    }

    /**
     * 获取 考勤绩效指标扣减分数
     * @return attendScoreSubNotList
     */
    public List<BigDecimal> getAttendScoreSubNotList(){
        return this.attendScoreSubNotList;
    }

    /**
     * 设置 考勤绩效指标扣减分数
     * @param attendScoreSubNotList
     */
    public void setAttendScoreSubNotList(List<BigDecimal> attendScoreSubNotList){
        this.attendScoreSubNotList = attendScoreSubNotList;
    }


    /**
     * 获取 开始 评价绩效指标增加分数
     * @return reviewScoreAddStart
     */
    public BigDecimal getReviewScoreAddStart(){
        return this.reviewScoreAddStart;
    }

    /**
     * 设置 开始 评价绩效指标增加分数
     * @param reviewScoreAddStart
     */
    public void setReviewScoreAddStart(BigDecimal reviewScoreAddStart){
        this.reviewScoreAddStart = reviewScoreAddStart;
    }

    /**
     * 获取 结束 评价绩效指标增加分数
     * @return $reviewScoreAddEnd
     */
    public BigDecimal getReviewScoreAddEnd(){
        return this.reviewScoreAddEnd;
    }

    /**
     * 设置 结束 评价绩效指标增加分数
     * @param reviewScoreAddEnd
     */
    public void setReviewScoreAddEnd(BigDecimal reviewScoreAddEnd){
        this.reviewScoreAddEnd = reviewScoreAddEnd;
    }

    /**
     * 获取 增加 评价绩效指标增加分数
     * @return reviewScoreAddIncrement
     */
    public BigDecimal getReviewScoreAddIncrement(){
        return this.reviewScoreAddIncrement;
    }

    /**
     * 设置 增加 评价绩效指标增加分数
     * @param reviewScoreAddIncrement
     */
    public void setReviewScoreAddIncrement(BigDecimal reviewScoreAddIncrement){
        this.reviewScoreAddIncrement = reviewScoreAddIncrement;
    }

    /**
     * 获取 评价绩效指标增加分数
     * @return reviewScoreAddList
     */
    public List<BigDecimal> getReviewScoreAddList(){
        return this.reviewScoreAddList;
    }

    /**
     * 设置 评价绩效指标增加分数
     * @param reviewScoreAddList
     */
    public void setReviewScoreAddList(List<BigDecimal> reviewScoreAddList){
        this.reviewScoreAddList = reviewScoreAddList;
    }

    /**
     * 获取 评价绩效指标增加分数
     * @return reviewScoreAddNotList
     */
    public List<BigDecimal> getReviewScoreAddNotList(){
        return this.reviewScoreAddNotList;
    }

    /**
     * 设置 评价绩效指标增加分数
     * @param reviewScoreAddNotList
     */
    public void setReviewScoreAddNotList(List<BigDecimal> reviewScoreAddNotList){
        this.reviewScoreAddNotList = reviewScoreAddNotList;
    }


    /**
     * 获取 开始 评价绩效指标扣减分数
     * @return reviewScoreSubStart
     */
    public BigDecimal getReviewScoreSubStart(){
        return this.reviewScoreSubStart;
    }

    /**
     * 设置 开始 评价绩效指标扣减分数
     * @param reviewScoreSubStart
     */
    public void setReviewScoreSubStart(BigDecimal reviewScoreSubStart){
        this.reviewScoreSubStart = reviewScoreSubStart;
    }

    /**
     * 获取 结束 评价绩效指标扣减分数
     * @return $reviewScoreSubEnd
     */
    public BigDecimal getReviewScoreSubEnd(){
        return this.reviewScoreSubEnd;
    }

    /**
     * 设置 结束 评价绩效指标扣减分数
     * @param reviewScoreSubEnd
     */
    public void setReviewScoreSubEnd(BigDecimal reviewScoreSubEnd){
        this.reviewScoreSubEnd = reviewScoreSubEnd;
    }

    /**
     * 获取 增加 评价绩效指标扣减分数
     * @return reviewScoreSubIncrement
     */
    public BigDecimal getReviewScoreSubIncrement(){
        return this.reviewScoreSubIncrement;
    }

    /**
     * 设置 增加 评价绩效指标扣减分数
     * @param reviewScoreSubIncrement
     */
    public void setReviewScoreSubIncrement(BigDecimal reviewScoreSubIncrement){
        this.reviewScoreSubIncrement = reviewScoreSubIncrement;
    }

    /**
     * 获取 评价绩效指标扣减分数
     * @return reviewScoreSubList
     */
    public List<BigDecimal> getReviewScoreSubList(){
        return this.reviewScoreSubList;
    }

    /**
     * 设置 评价绩效指标扣减分数
     * @param reviewScoreSubList
     */
    public void setReviewScoreSubList(List<BigDecimal> reviewScoreSubList){
        this.reviewScoreSubList = reviewScoreSubList;
    }

    /**
     * 获取 评价绩效指标扣减分数
     * @return reviewScoreSubNotList
     */
    public List<BigDecimal> getReviewScoreSubNotList(){
        return this.reviewScoreSubNotList;
    }

    /**
     * 设置 评价绩效指标扣减分数
     * @param reviewScoreSubNotList
     */
    public void setReviewScoreSubNotList(List<BigDecimal> reviewScoreSubNotList){
        this.reviewScoreSubNotList = reviewScoreSubNotList;
    }


    /**
     * 获取 开始 投诉绩效指标增加分数
     * @return complainScoreAddStart
     */
    public BigDecimal getComplainScoreAddStart(){
        return this.complainScoreAddStart;
    }

    /**
     * 设置 开始 投诉绩效指标增加分数
     * @param complainScoreAddStart
     */
    public void setComplainScoreAddStart(BigDecimal complainScoreAddStart){
        this.complainScoreAddStart = complainScoreAddStart;
    }

    /**
     * 获取 结束 投诉绩效指标增加分数
     * @return $complainScoreAddEnd
     */
    public BigDecimal getComplainScoreAddEnd(){
        return this.complainScoreAddEnd;
    }

    /**
     * 设置 结束 投诉绩效指标增加分数
     * @param complainScoreAddEnd
     */
    public void setComplainScoreAddEnd(BigDecimal complainScoreAddEnd){
        this.complainScoreAddEnd = complainScoreAddEnd;
    }

    /**
     * 获取 增加 投诉绩效指标增加分数
     * @return complainScoreAddIncrement
     */
    public BigDecimal getComplainScoreAddIncrement(){
        return this.complainScoreAddIncrement;
    }

    /**
     * 设置 增加 投诉绩效指标增加分数
     * @param complainScoreAddIncrement
     */
    public void setComplainScoreAddIncrement(BigDecimal complainScoreAddIncrement){
        this.complainScoreAddIncrement = complainScoreAddIncrement;
    }

    /**
     * 获取 投诉绩效指标增加分数
     * @return complainScoreAddList
     */
    public List<BigDecimal> getComplainScoreAddList(){
        return this.complainScoreAddList;
    }

    /**
     * 设置 投诉绩效指标增加分数
     * @param complainScoreAddList
     */
    public void setComplainScoreAddList(List<BigDecimal> complainScoreAddList){
        this.complainScoreAddList = complainScoreAddList;
    }

    /**
     * 获取 投诉绩效指标增加分数
     * @return complainScoreAddNotList
     */
    public List<BigDecimal> getComplainScoreAddNotList(){
        return this.complainScoreAddNotList;
    }

    /**
     * 设置 投诉绩效指标增加分数
     * @param complainScoreAddNotList
     */
    public void setComplainScoreAddNotList(List<BigDecimal> complainScoreAddNotList){
        this.complainScoreAddNotList = complainScoreAddNotList;
    }


    /**
     * 获取 开始 投诉绩效指标扣减分数
     * @return complainScoreSubStart
     */
    public BigDecimal getComplainScoreSubStart(){
        return this.complainScoreSubStart;
    }

    /**
     * 设置 开始 投诉绩效指标扣减分数
     * @param complainScoreSubStart
     */
    public void setComplainScoreSubStart(BigDecimal complainScoreSubStart){
        this.complainScoreSubStart = complainScoreSubStart;
    }

    /**
     * 获取 结束 投诉绩效指标扣减分数
     * @return $complainScoreSubEnd
     */
    public BigDecimal getComplainScoreSubEnd(){
        return this.complainScoreSubEnd;
    }

    /**
     * 设置 结束 投诉绩效指标扣减分数
     * @param complainScoreSubEnd
     */
    public void setComplainScoreSubEnd(BigDecimal complainScoreSubEnd){
        this.complainScoreSubEnd = complainScoreSubEnd;
    }

    /**
     * 获取 增加 投诉绩效指标扣减分数
     * @return complainScoreSubIncrement
     */
    public BigDecimal getComplainScoreSubIncrement(){
        return this.complainScoreSubIncrement;
    }

    /**
     * 设置 增加 投诉绩效指标扣减分数
     * @param complainScoreSubIncrement
     */
    public void setComplainScoreSubIncrement(BigDecimal complainScoreSubIncrement){
        this.complainScoreSubIncrement = complainScoreSubIncrement;
    }

    /**
     * 获取 投诉绩效指标扣减分数
     * @return complainScoreSubList
     */
    public List<BigDecimal> getComplainScoreSubList(){
        return this.complainScoreSubList;
    }

    /**
     * 设置 投诉绩效指标扣减分数
     * @param complainScoreSubList
     */
    public void setComplainScoreSubList(List<BigDecimal> complainScoreSubList){
        this.complainScoreSubList = complainScoreSubList;
    }

    /**
     * 获取 投诉绩效指标扣减分数
     * @return complainScoreSubNotList
     */
    public List<BigDecimal> getComplainScoreSubNotList(){
        return this.complainScoreSubNotList;
    }

    /**
     * 设置 投诉绩效指标扣减分数
     * @param complainScoreSubNotList
     */
    public void setComplainScoreSubNotList(List<BigDecimal> complainScoreSubNotList){
        this.complainScoreSubNotList = complainScoreSubNotList;
    }


    /**
     * 获取 开始 办件绩效指标增加分数
     * @return goworkScoreAddStart
     */
    public BigDecimal getGoworkScoreAddStart(){
        return this.goworkScoreAddStart;
    }

    /**
     * 设置 开始 办件绩效指标增加分数
     * @param goworkScoreAddStart
     */
    public void setGoworkScoreAddStart(BigDecimal goworkScoreAddStart){
        this.goworkScoreAddStart = goworkScoreAddStart;
    }

    /**
     * 获取 结束 办件绩效指标增加分数
     * @return $goworkScoreAddEnd
     */
    public BigDecimal getGoworkScoreAddEnd(){
        return this.goworkScoreAddEnd;
    }

    /**
     * 设置 结束 办件绩效指标增加分数
     * @param goworkScoreAddEnd
     */
    public void setGoworkScoreAddEnd(BigDecimal goworkScoreAddEnd){
        this.goworkScoreAddEnd = goworkScoreAddEnd;
    }

    /**
     * 获取 增加 办件绩效指标增加分数
     * @return goworkScoreAddIncrement
     */
    public BigDecimal getGoworkScoreAddIncrement(){
        return this.goworkScoreAddIncrement;
    }

    /**
     * 设置 增加 办件绩效指标增加分数
     * @param goworkScoreAddIncrement
     */
    public void setGoworkScoreAddIncrement(BigDecimal goworkScoreAddIncrement){
        this.goworkScoreAddIncrement = goworkScoreAddIncrement;
    }

    /**
     * 获取 办件绩效指标增加分数
     * @return goworkScoreAddList
     */
    public List<BigDecimal> getGoworkScoreAddList(){
        return this.goworkScoreAddList;
    }

    /**
     * 设置 办件绩效指标增加分数
     * @param goworkScoreAddList
     */
    public void setGoworkScoreAddList(List<BigDecimal> goworkScoreAddList){
        this.goworkScoreAddList = goworkScoreAddList;
    }

    /**
     * 获取 办件绩效指标增加分数
     * @return goworkScoreAddNotList
     */
    public List<BigDecimal> getGoworkScoreAddNotList(){
        return this.goworkScoreAddNotList;
    }

    /**
     * 设置 办件绩效指标增加分数
     * @param goworkScoreAddNotList
     */
    public void setGoworkScoreAddNotList(List<BigDecimal> goworkScoreAddNotList){
        this.goworkScoreAddNotList = goworkScoreAddNotList;
    }


    /**
     * 获取 开始 办件绩效指标扣减分数
     * @return goworkScoreSubStart
     */
    public BigDecimal getGoworkScoreSubStart(){
        return this.goworkScoreSubStart;
    }

    /**
     * 设置 开始 办件绩效指标扣减分数
     * @param goworkScoreSubStart
     */
    public void setGoworkScoreSubStart(BigDecimal goworkScoreSubStart){
        this.goworkScoreSubStart = goworkScoreSubStart;
    }

    /**
     * 获取 结束 办件绩效指标扣减分数
     * @return $goworkScoreSubEnd
     */
    public BigDecimal getGoworkScoreSubEnd(){
        return this.goworkScoreSubEnd;
    }

    /**
     * 设置 结束 办件绩效指标扣减分数
     * @param goworkScoreSubEnd
     */
    public void setGoworkScoreSubEnd(BigDecimal goworkScoreSubEnd){
        this.goworkScoreSubEnd = goworkScoreSubEnd;
    }

    /**
     * 获取 增加 办件绩效指标扣减分数
     * @return goworkScoreSubIncrement
     */
    public BigDecimal getGoworkScoreSubIncrement(){
        return this.goworkScoreSubIncrement;
    }

    /**
     * 设置 增加 办件绩效指标扣减分数
     * @param goworkScoreSubIncrement
     */
    public void setGoworkScoreSubIncrement(BigDecimal goworkScoreSubIncrement){
        this.goworkScoreSubIncrement = goworkScoreSubIncrement;
    }

    /**
     * 获取 办件绩效指标扣减分数
     * @return goworkScoreSubList
     */
    public List<BigDecimal> getGoworkScoreSubList(){
        return this.goworkScoreSubList;
    }

    /**
     * 设置 办件绩效指标扣减分数
     * @param goworkScoreSubList
     */
    public void setGoworkScoreSubList(List<BigDecimal> goworkScoreSubList){
        this.goworkScoreSubList = goworkScoreSubList;
    }

    /**
     * 获取 办件绩效指标扣减分数
     * @return goworkScoreSubNotList
     */
    public List<BigDecimal> getGoworkScoreSubNotList(){
        return this.goworkScoreSubNotList;
    }

    /**
     * 设置 办件绩效指标扣减分数
     * @param goworkScoreSubNotList
     */
    public void setGoworkScoreSubNotList(List<BigDecimal> goworkScoreSubNotList){
        this.goworkScoreSubNotList = goworkScoreSubNotList;
    }


    /**
     * 获取 开始 效能绩效指标增加分数
     * @return effectScoreAddStart
     */
    public BigDecimal getEffectScoreAddStart(){
        return this.effectScoreAddStart;
    }

    /**
     * 设置 开始 效能绩效指标增加分数
     * @param effectScoreAddStart
     */
    public void setEffectScoreAddStart(BigDecimal effectScoreAddStart){
        this.effectScoreAddStart = effectScoreAddStart;
    }

    /**
     * 获取 结束 效能绩效指标增加分数
     * @return $effectScoreAddEnd
     */
    public BigDecimal getEffectScoreAddEnd(){
        return this.effectScoreAddEnd;
    }

    /**
     * 设置 结束 效能绩效指标增加分数
     * @param effectScoreAddEnd
     */
    public void setEffectScoreAddEnd(BigDecimal effectScoreAddEnd){
        this.effectScoreAddEnd = effectScoreAddEnd;
    }

    /**
     * 获取 增加 效能绩效指标增加分数
     * @return effectScoreAddIncrement
     */
    public BigDecimal getEffectScoreAddIncrement(){
        return this.effectScoreAddIncrement;
    }

    /**
     * 设置 增加 效能绩效指标增加分数
     * @param effectScoreAddIncrement
     */
    public void setEffectScoreAddIncrement(BigDecimal effectScoreAddIncrement){
        this.effectScoreAddIncrement = effectScoreAddIncrement;
    }

    /**
     * 获取 效能绩效指标增加分数
     * @return effectScoreAddList
     */
    public List<BigDecimal> getEffectScoreAddList(){
        return this.effectScoreAddList;
    }

    /**
     * 设置 效能绩效指标增加分数
     * @param effectScoreAddList
     */
    public void setEffectScoreAddList(List<BigDecimal> effectScoreAddList){
        this.effectScoreAddList = effectScoreAddList;
    }

    /**
     * 获取 效能绩效指标增加分数
     * @return effectScoreAddNotList
     */
    public List<BigDecimal> getEffectScoreAddNotList(){
        return this.effectScoreAddNotList;
    }

    /**
     * 设置 效能绩效指标增加分数
     * @param effectScoreAddNotList
     */
    public void setEffectScoreAddNotList(List<BigDecimal> effectScoreAddNotList){
        this.effectScoreAddNotList = effectScoreAddNotList;
    }


    /**
     * 获取 开始 效能绩效指标扣减分数
     * @return effectScoreSubStart
     */
    public BigDecimal getEffectScoreSubStart(){
        return this.effectScoreSubStart;
    }

    /**
     * 设置 开始 效能绩效指标扣减分数
     * @param effectScoreSubStart
     */
    public void setEffectScoreSubStart(BigDecimal effectScoreSubStart){
        this.effectScoreSubStart = effectScoreSubStart;
    }

    /**
     * 获取 结束 效能绩效指标扣减分数
     * @return $effectScoreSubEnd
     */
    public BigDecimal getEffectScoreSubEnd(){
        return this.effectScoreSubEnd;
    }

    /**
     * 设置 结束 效能绩效指标扣减分数
     * @param effectScoreSubEnd
     */
    public void setEffectScoreSubEnd(BigDecimal effectScoreSubEnd){
        this.effectScoreSubEnd = effectScoreSubEnd;
    }

    /**
     * 获取 增加 效能绩效指标扣减分数
     * @return effectScoreSubIncrement
     */
    public BigDecimal getEffectScoreSubIncrement(){
        return this.effectScoreSubIncrement;
    }

    /**
     * 设置 增加 效能绩效指标扣减分数
     * @param effectScoreSubIncrement
     */
    public void setEffectScoreSubIncrement(BigDecimal effectScoreSubIncrement){
        this.effectScoreSubIncrement = effectScoreSubIncrement;
    }

    /**
     * 获取 效能绩效指标扣减分数
     * @return effectScoreSubList
     */
    public List<BigDecimal> getEffectScoreSubList(){
        return this.effectScoreSubList;
    }

    /**
     * 设置 效能绩效指标扣减分数
     * @param effectScoreSubList
     */
    public void setEffectScoreSubList(List<BigDecimal> effectScoreSubList){
        this.effectScoreSubList = effectScoreSubList;
    }

    /**
     * 获取 效能绩效指标扣减分数
     * @return effectScoreSubNotList
     */
    public List<BigDecimal> getEffectScoreSubNotList(){
        return this.effectScoreSubNotList;
    }

    /**
     * 设置 效能绩效指标扣减分数
     * @param effectScoreSubNotList
     */
    public void setEffectScoreSubNotList(List<BigDecimal> effectScoreSubNotList){
        this.effectScoreSubNotList = effectScoreSubNotList;
    }


    /**
     * 获取 开始 其它绩效指标增加分数
     * @return otherScoreAddStart
     */
    public BigDecimal getOtherScoreAddStart(){
        return this.otherScoreAddStart;
    }

    /**
     * 设置 开始 其它绩效指标增加分数
     * @param otherScoreAddStart
     */
    public void setOtherScoreAddStart(BigDecimal otherScoreAddStart){
        this.otherScoreAddStart = otherScoreAddStart;
    }

    /**
     * 获取 结束 其它绩效指标增加分数
     * @return $otherScoreAddEnd
     */
    public BigDecimal getOtherScoreAddEnd(){
        return this.otherScoreAddEnd;
    }

    /**
     * 设置 结束 其它绩效指标增加分数
     * @param otherScoreAddEnd
     */
    public void setOtherScoreAddEnd(BigDecimal otherScoreAddEnd){
        this.otherScoreAddEnd = otherScoreAddEnd;
    }

    /**
     * 获取 增加 其它绩效指标增加分数
     * @return otherScoreAddIncrement
     */
    public BigDecimal getOtherScoreAddIncrement(){
        return this.otherScoreAddIncrement;
    }

    /**
     * 设置 增加 其它绩效指标增加分数
     * @param otherScoreAddIncrement
     */
    public void setOtherScoreAddIncrement(BigDecimal otherScoreAddIncrement){
        this.otherScoreAddIncrement = otherScoreAddIncrement;
    }

    /**
     * 获取 其它绩效指标增加分数
     * @return otherScoreAddList
     */
    public List<BigDecimal> getOtherScoreAddList(){
        return this.otherScoreAddList;
    }

    /**
     * 设置 其它绩效指标增加分数
     * @param otherScoreAddList
     */
    public void setOtherScoreAddList(List<BigDecimal> otherScoreAddList){
        this.otherScoreAddList = otherScoreAddList;
    }

    /**
     * 获取 其它绩效指标增加分数
     * @return otherScoreAddNotList
     */
    public List<BigDecimal> getOtherScoreAddNotList(){
        return this.otherScoreAddNotList;
    }

    /**
     * 设置 其它绩效指标增加分数
     * @param otherScoreAddNotList
     */
    public void setOtherScoreAddNotList(List<BigDecimal> otherScoreAddNotList){
        this.otherScoreAddNotList = otherScoreAddNotList;
    }


    /**
     * 获取 开始 其它绩效指标扣减分数
     * @return otherScoreSubStart
     */
    public BigDecimal getOtherScoreSubStart(){
        return this.otherScoreSubStart;
    }

    /**
     * 设置 开始 其它绩效指标扣减分数
     * @param otherScoreSubStart
     */
    public void setOtherScoreSubStart(BigDecimal otherScoreSubStart){
        this.otherScoreSubStart = otherScoreSubStart;
    }

    /**
     * 获取 结束 其它绩效指标扣减分数
     * @return $otherScoreSubEnd
     */
    public BigDecimal getOtherScoreSubEnd(){
        return this.otherScoreSubEnd;
    }

    /**
     * 设置 结束 其它绩效指标扣减分数
     * @param otherScoreSubEnd
     */
    public void setOtherScoreSubEnd(BigDecimal otherScoreSubEnd){
        this.otherScoreSubEnd = otherScoreSubEnd;
    }

    /**
     * 获取 增加 其它绩效指标扣减分数
     * @return otherScoreSubIncrement
     */
    public BigDecimal getOtherScoreSubIncrement(){
        return this.otherScoreSubIncrement;
    }

    /**
     * 设置 增加 其它绩效指标扣减分数
     * @param otherScoreSubIncrement
     */
    public void setOtherScoreSubIncrement(BigDecimal otherScoreSubIncrement){
        this.otherScoreSubIncrement = otherScoreSubIncrement;
    }

    /**
     * 获取 其它绩效指标扣减分数
     * @return otherScoreSubList
     */
    public List<BigDecimal> getOtherScoreSubList(){
        return this.otherScoreSubList;
    }

    /**
     * 设置 其它绩效指标扣减分数
     * @param otherScoreSubList
     */
    public void setOtherScoreSubList(List<BigDecimal> otherScoreSubList){
        this.otherScoreSubList = otherScoreSubList;
    }

    /**
     * 获取 其它绩效指标扣减分数
     * @return otherScoreSubNotList
     */
    public List<BigDecimal> getOtherScoreSubNotList(){
        return this.otherScoreSubNotList;
    }

    /**
     * 设置 其它绩效指标扣减分数
     * @param otherScoreSubNotList
     */
    public void setOtherScoreSubNotList(List<BigDecimal> otherScoreSubNotList){
        this.otherScoreSubNotList = otherScoreSubNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 年
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 年
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 年
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 年
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 年
     * @return yearNotList
     */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
     * 获取 开始 月
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 月
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 月
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 月
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 月
     * @return monthNotList
     */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
     * 获取 开始 日
     * @return dayStart
     */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
     * 获取 结束 日
     * @return $dayEnd
     */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
     * 获取 增加 日
     * @return dayIncrement
     */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
     * 获取 日
     * @return dayList
     */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
     * 获取 日
     * @return dayNotList
     */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
     * 设置 日
     * @param dayNotList
     */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建人id
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建人id
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建人id
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建人id
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建人id
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 更新人id
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新人id
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新人id
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 所属大厅
     * @return salaIdStart
     */
    public Long getSalaIdStart(){
        return this.salaIdStart;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public void setSalaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
    }

    /**
     * 获取 结束 所属大厅
     * @return $salaIdEnd
     */
    public Long getSalaIdEnd(){
        return this.salaIdEnd;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public void setSalaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
    }

    /**
     * 获取 增加 所属大厅
     * @return salaIdIncrement
     */
    public Long getSalaIdIncrement(){
        return this.salaIdIncrement;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public void setSalaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
    }

    /**
     * 获取 所属大厅
     * @return salaIdList
     */
    public List<Long> getSalaIdList(){
        return this.salaIdList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public void setSalaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
    }

    /**
     * 获取 所属大厅
     * @return salaIdNotList
     */
    public List<Long> getSalaIdNotList(){
        return this.salaIdNotList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public void setSalaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
    }


    /**
     * 获取 所属大厅名称
     * @return salaNameList
     */
    public List<String> getSalaNameList(){
        return this.salaNameList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public void setSalaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
    }

    /**
     * 获取 所属大厅名称
     * @return salaNameNotList
     */
    public List<String> getSalaNameNotList(){
        return this.salaNameNotList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameNotList
     */
    public void setSalaNameNotList(List<String> salaNameNotList){
        this.salaNameNotList = salaNameNotList;
    }

    /**
     * 获取 开始 所属部门
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public StaffPerformStatQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public StaffPerformStatQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public StaffPerformStatQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public StaffPerformStatQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public StaffPerformStatQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public StaffPerformStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  部门id号
     * @param staffId
     */
    public StaffPerformStatQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 部门id号
     * @param staffIdStart
     */
    public StaffPerformStatQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 部门id号
     * @param staffIdEnd
     */
    public StaffPerformStatQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门id号
     * @param staffIdIncrement
     */
    public StaffPerformStatQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 部门id号
     * @param staffIdList
     */
    public StaffPerformStatQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 部门id号
     * @param staffIdNotList
     */
    public StaffPerformStatQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param staffName
     */
    public StaffPerformStatQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param staffNameList
     */
    public StaffPerformStatQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }

    /**
     * 设置  员工绩效总分数
     * @param totalScore
     */
    public StaffPerformStatQuery totalScore(BigDecimal totalScore){
        setTotalScore(totalScore);
        return this;
    }

    /**
     * 设置 开始 员工绩效总分数
     * @param totalScoreStart
     */
    public StaffPerformStatQuery totalScoreStart(BigDecimal totalScoreStart){
        this.totalScoreStart = totalScoreStart;
        return this;
    }

    /**
     * 设置 结束 员工绩效总分数
     * @param totalScoreEnd
     */
    public StaffPerformStatQuery totalScoreEnd(BigDecimal totalScoreEnd){
        this.totalScoreEnd = totalScoreEnd;
        return this;
    }

    /**
     * 设置 增加 员工绩效总分数
     * @param totalScoreIncrement
     */
    public StaffPerformStatQuery totalScoreIncrement(BigDecimal totalScoreIncrement){
        this.totalScoreIncrement = totalScoreIncrement;
        return this;
    }

    /**
     * 设置 员工绩效总分数
     * @param totalScoreList
     */
    public StaffPerformStatQuery totalScoreList(List<BigDecimal> totalScoreList){
        this.totalScoreList = totalScoreList;
        return this;
    }

    /**
     * 设置 员工绩效总分数
     * @param totalScoreNotList
     */
    public StaffPerformStatQuery totalScoreNotList(List<BigDecimal> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
        return this;
    }

    /**
     * 设置  员工绩效加分总分数汇总
     * @param totalAddScore
     */
    public StaffPerformStatQuery totalAddScore(BigDecimal totalAddScore){
        setTotalAddScore(totalAddScore);
        return this;
    }

    /**
     * 设置 开始 员工绩效加分总分数汇总
     * @param totalAddScoreStart
     */
    public StaffPerformStatQuery totalAddScoreStart(BigDecimal totalAddScoreStart){
        this.totalAddScoreStart = totalAddScoreStart;
        return this;
    }

    /**
     * 设置 结束 员工绩效加分总分数汇总
     * @param totalAddScoreEnd
     */
    public StaffPerformStatQuery totalAddScoreEnd(BigDecimal totalAddScoreEnd){
        this.totalAddScoreEnd = totalAddScoreEnd;
        return this;
    }

    /**
     * 设置 增加 员工绩效加分总分数汇总
     * @param totalAddScoreIncrement
     */
    public StaffPerformStatQuery totalAddScoreIncrement(BigDecimal totalAddScoreIncrement){
        this.totalAddScoreIncrement = totalAddScoreIncrement;
        return this;
    }

    /**
     * 设置 员工绩效加分总分数汇总
     * @param totalAddScoreList
     */
    public StaffPerformStatQuery totalAddScoreList(List<BigDecimal> totalAddScoreList){
        this.totalAddScoreList = totalAddScoreList;
        return this;
    }

    /**
     * 设置 员工绩效加分总分数汇总
     * @param totalAddScoreNotList
     */
    public StaffPerformStatQuery totalAddScoreNotList(List<BigDecimal> totalAddScoreNotList){
        this.totalAddScoreNotList = totalAddScoreNotList;
        return this;
    }

    /**
     * 设置  员工绩效减分总分数汇总
     * @param totalSubScore
     */
    public StaffPerformStatQuery totalSubScore(BigDecimal totalSubScore){
        setTotalSubScore(totalSubScore);
        return this;
    }

    /**
     * 设置 开始 员工绩效减分总分数汇总
     * @param totalSubScoreStart
     */
    public StaffPerformStatQuery totalSubScoreStart(BigDecimal totalSubScoreStart){
        this.totalSubScoreStart = totalSubScoreStart;
        return this;
    }

    /**
     * 设置 结束 员工绩效减分总分数汇总
     * @param totalSubScoreEnd
     */
    public StaffPerformStatQuery totalSubScoreEnd(BigDecimal totalSubScoreEnd){
        this.totalSubScoreEnd = totalSubScoreEnd;
        return this;
    }

    /**
     * 设置 增加 员工绩效减分总分数汇总
     * @param totalSubScoreIncrement
     */
    public StaffPerformStatQuery totalSubScoreIncrement(BigDecimal totalSubScoreIncrement){
        this.totalSubScoreIncrement = totalSubScoreIncrement;
        return this;
    }

    /**
     * 设置 员工绩效减分总分数汇总
     * @param totalSubScoreList
     */
    public StaffPerformStatQuery totalSubScoreList(List<BigDecimal> totalSubScoreList){
        this.totalSubScoreList = totalSubScoreList;
        return this;
    }

    /**
     * 设置 员工绩效减分总分数汇总
     * @param totalSubScoreNotList
     */
    public StaffPerformStatQuery totalSubScoreNotList(List<BigDecimal> totalSubScoreNotList){
        this.totalSubScoreNotList = totalSubScoreNotList;
        return this;
    }

    /**
     * 设置  考勤绩效指标增加分数
     * @param attendScoreAdd
     */
    public StaffPerformStatQuery attendScoreAdd(BigDecimal attendScoreAdd){
        setAttendScoreAdd(attendScoreAdd);
        return this;
    }

    /**
     * 设置 开始 考勤绩效指标增加分数
     * @param attendScoreAddStart
     */
    public StaffPerformStatQuery attendScoreAddStart(BigDecimal attendScoreAddStart){
        this.attendScoreAddStart = attendScoreAddStart;
        return this;
    }

    /**
     * 设置 结束 考勤绩效指标增加分数
     * @param attendScoreAddEnd
     */
    public StaffPerformStatQuery attendScoreAddEnd(BigDecimal attendScoreAddEnd){
        this.attendScoreAddEnd = attendScoreAddEnd;
        return this;
    }

    /**
     * 设置 增加 考勤绩效指标增加分数
     * @param attendScoreAddIncrement
     */
    public StaffPerformStatQuery attendScoreAddIncrement(BigDecimal attendScoreAddIncrement){
        this.attendScoreAddIncrement = attendScoreAddIncrement;
        return this;
    }

    /**
     * 设置 考勤绩效指标增加分数
     * @param attendScoreAddList
     */
    public StaffPerformStatQuery attendScoreAddList(List<BigDecimal> attendScoreAddList){
        this.attendScoreAddList = attendScoreAddList;
        return this;
    }

    /**
     * 设置 考勤绩效指标增加分数
     * @param attendScoreAddNotList
     */
    public StaffPerformStatQuery attendScoreAddNotList(List<BigDecimal> attendScoreAddNotList){
        this.attendScoreAddNotList = attendScoreAddNotList;
        return this;
    }

    /**
     * 设置  考勤绩效指标扣减分数
     * @param attendScoreSub
     */
    public StaffPerformStatQuery attendScoreSub(BigDecimal attendScoreSub){
        setAttendScoreSub(attendScoreSub);
        return this;
    }

    /**
     * 设置 开始 考勤绩效指标扣减分数
     * @param attendScoreSubStart
     */
    public StaffPerformStatQuery attendScoreSubStart(BigDecimal attendScoreSubStart){
        this.attendScoreSubStart = attendScoreSubStart;
        return this;
    }

    /**
     * 设置 结束 考勤绩效指标扣减分数
     * @param attendScoreSubEnd
     */
    public StaffPerformStatQuery attendScoreSubEnd(BigDecimal attendScoreSubEnd){
        this.attendScoreSubEnd = attendScoreSubEnd;
        return this;
    }

    /**
     * 设置 增加 考勤绩效指标扣减分数
     * @param attendScoreSubIncrement
     */
    public StaffPerformStatQuery attendScoreSubIncrement(BigDecimal attendScoreSubIncrement){
        this.attendScoreSubIncrement = attendScoreSubIncrement;
        return this;
    }

    /**
     * 设置 考勤绩效指标扣减分数
     * @param attendScoreSubList
     */
    public StaffPerformStatQuery attendScoreSubList(List<BigDecimal> attendScoreSubList){
        this.attendScoreSubList = attendScoreSubList;
        return this;
    }

    /**
     * 设置 考勤绩效指标扣减分数
     * @param attendScoreSubNotList
     */
    public StaffPerformStatQuery attendScoreSubNotList(List<BigDecimal> attendScoreSubNotList){
        this.attendScoreSubNotList = attendScoreSubNotList;
        return this;
    }

    /**
     * 设置  评价绩效指标增加分数
     * @param reviewScoreAdd
     */
    public StaffPerformStatQuery reviewScoreAdd(BigDecimal reviewScoreAdd){
        setReviewScoreAdd(reviewScoreAdd);
        return this;
    }

    /**
     * 设置 开始 评价绩效指标增加分数
     * @param reviewScoreAddStart
     */
    public StaffPerformStatQuery reviewScoreAddStart(BigDecimal reviewScoreAddStart){
        this.reviewScoreAddStart = reviewScoreAddStart;
        return this;
    }

    /**
     * 设置 结束 评价绩效指标增加分数
     * @param reviewScoreAddEnd
     */
    public StaffPerformStatQuery reviewScoreAddEnd(BigDecimal reviewScoreAddEnd){
        this.reviewScoreAddEnd = reviewScoreAddEnd;
        return this;
    }

    /**
     * 设置 增加 评价绩效指标增加分数
     * @param reviewScoreAddIncrement
     */
    public StaffPerformStatQuery reviewScoreAddIncrement(BigDecimal reviewScoreAddIncrement){
        this.reviewScoreAddIncrement = reviewScoreAddIncrement;
        return this;
    }

    /**
     * 设置 评价绩效指标增加分数
     * @param reviewScoreAddList
     */
    public StaffPerformStatQuery reviewScoreAddList(List<BigDecimal> reviewScoreAddList){
        this.reviewScoreAddList = reviewScoreAddList;
        return this;
    }

    /**
     * 设置 评价绩效指标增加分数
     * @param reviewScoreAddNotList
     */
    public StaffPerformStatQuery reviewScoreAddNotList(List<BigDecimal> reviewScoreAddNotList){
        this.reviewScoreAddNotList = reviewScoreAddNotList;
        return this;
    }

    /**
     * 设置  评价绩效指标扣减分数
     * @param reviewScoreSub
     */
    public StaffPerformStatQuery reviewScoreSub(BigDecimal reviewScoreSub){
        setReviewScoreSub(reviewScoreSub);
        return this;
    }

    /**
     * 设置 开始 评价绩效指标扣减分数
     * @param reviewScoreSubStart
     */
    public StaffPerformStatQuery reviewScoreSubStart(BigDecimal reviewScoreSubStart){
        this.reviewScoreSubStart = reviewScoreSubStart;
        return this;
    }

    /**
     * 设置 结束 评价绩效指标扣减分数
     * @param reviewScoreSubEnd
     */
    public StaffPerformStatQuery reviewScoreSubEnd(BigDecimal reviewScoreSubEnd){
        this.reviewScoreSubEnd = reviewScoreSubEnd;
        return this;
    }

    /**
     * 设置 增加 评价绩效指标扣减分数
     * @param reviewScoreSubIncrement
     */
    public StaffPerformStatQuery reviewScoreSubIncrement(BigDecimal reviewScoreSubIncrement){
        this.reviewScoreSubIncrement = reviewScoreSubIncrement;
        return this;
    }

    /**
     * 设置 评价绩效指标扣减分数
     * @param reviewScoreSubList
     */
    public StaffPerformStatQuery reviewScoreSubList(List<BigDecimal> reviewScoreSubList){
        this.reviewScoreSubList = reviewScoreSubList;
        return this;
    }

    /**
     * 设置 评价绩效指标扣减分数
     * @param reviewScoreSubNotList
     */
    public StaffPerformStatQuery reviewScoreSubNotList(List<BigDecimal> reviewScoreSubNotList){
        this.reviewScoreSubNotList = reviewScoreSubNotList;
        return this;
    }

    /**
     * 设置  投诉绩效指标增加分数
     * @param complainScoreAdd
     */
    public StaffPerformStatQuery complainScoreAdd(BigDecimal complainScoreAdd){
        setComplainScoreAdd(complainScoreAdd);
        return this;
    }

    /**
     * 设置 开始 投诉绩效指标增加分数
     * @param complainScoreAddStart
     */
    public StaffPerformStatQuery complainScoreAddStart(BigDecimal complainScoreAddStart){
        this.complainScoreAddStart = complainScoreAddStart;
        return this;
    }

    /**
     * 设置 结束 投诉绩效指标增加分数
     * @param complainScoreAddEnd
     */
    public StaffPerformStatQuery complainScoreAddEnd(BigDecimal complainScoreAddEnd){
        this.complainScoreAddEnd = complainScoreAddEnd;
        return this;
    }

    /**
     * 设置 增加 投诉绩效指标增加分数
     * @param complainScoreAddIncrement
     */
    public StaffPerformStatQuery complainScoreAddIncrement(BigDecimal complainScoreAddIncrement){
        this.complainScoreAddIncrement = complainScoreAddIncrement;
        return this;
    }

    /**
     * 设置 投诉绩效指标增加分数
     * @param complainScoreAddList
     */
    public StaffPerformStatQuery complainScoreAddList(List<BigDecimal> complainScoreAddList){
        this.complainScoreAddList = complainScoreAddList;
        return this;
    }

    /**
     * 设置 投诉绩效指标增加分数
     * @param complainScoreAddNotList
     */
    public StaffPerformStatQuery complainScoreAddNotList(List<BigDecimal> complainScoreAddNotList){
        this.complainScoreAddNotList = complainScoreAddNotList;
        return this;
    }

    /**
     * 设置  投诉绩效指标扣减分数
     * @param complainScoreSub
     */
    public StaffPerformStatQuery complainScoreSub(BigDecimal complainScoreSub){
        setComplainScoreSub(complainScoreSub);
        return this;
    }

    /**
     * 设置 开始 投诉绩效指标扣减分数
     * @param complainScoreSubStart
     */
    public StaffPerformStatQuery complainScoreSubStart(BigDecimal complainScoreSubStart){
        this.complainScoreSubStart = complainScoreSubStart;
        return this;
    }

    /**
     * 设置 结束 投诉绩效指标扣减分数
     * @param complainScoreSubEnd
     */
    public StaffPerformStatQuery complainScoreSubEnd(BigDecimal complainScoreSubEnd){
        this.complainScoreSubEnd = complainScoreSubEnd;
        return this;
    }

    /**
     * 设置 增加 投诉绩效指标扣减分数
     * @param complainScoreSubIncrement
     */
    public StaffPerformStatQuery complainScoreSubIncrement(BigDecimal complainScoreSubIncrement){
        this.complainScoreSubIncrement = complainScoreSubIncrement;
        return this;
    }

    /**
     * 设置 投诉绩效指标扣减分数
     * @param complainScoreSubList
     */
    public StaffPerformStatQuery complainScoreSubList(List<BigDecimal> complainScoreSubList){
        this.complainScoreSubList = complainScoreSubList;
        return this;
    }

    /**
     * 设置 投诉绩效指标扣减分数
     * @param complainScoreSubNotList
     */
    public StaffPerformStatQuery complainScoreSubNotList(List<BigDecimal> complainScoreSubNotList){
        this.complainScoreSubNotList = complainScoreSubNotList;
        return this;
    }

    /**
     * 设置  办件绩效指标增加分数
     * @param goworkScoreAdd
     */
    public StaffPerformStatQuery goworkScoreAdd(BigDecimal goworkScoreAdd){
        setGoworkScoreAdd(goworkScoreAdd);
        return this;
    }

    /**
     * 设置 开始 办件绩效指标增加分数
     * @param goworkScoreAddStart
     */
    public StaffPerformStatQuery goworkScoreAddStart(BigDecimal goworkScoreAddStart){
        this.goworkScoreAddStart = goworkScoreAddStart;
        return this;
    }

    /**
     * 设置 结束 办件绩效指标增加分数
     * @param goworkScoreAddEnd
     */
    public StaffPerformStatQuery goworkScoreAddEnd(BigDecimal goworkScoreAddEnd){
        this.goworkScoreAddEnd = goworkScoreAddEnd;
        return this;
    }

    /**
     * 设置 增加 办件绩效指标增加分数
     * @param goworkScoreAddIncrement
     */
    public StaffPerformStatQuery goworkScoreAddIncrement(BigDecimal goworkScoreAddIncrement){
        this.goworkScoreAddIncrement = goworkScoreAddIncrement;
        return this;
    }

    /**
     * 设置 办件绩效指标增加分数
     * @param goworkScoreAddList
     */
    public StaffPerformStatQuery goworkScoreAddList(List<BigDecimal> goworkScoreAddList){
        this.goworkScoreAddList = goworkScoreAddList;
        return this;
    }

    /**
     * 设置 办件绩效指标增加分数
     * @param goworkScoreAddNotList
     */
    public StaffPerformStatQuery goworkScoreAddNotList(List<BigDecimal> goworkScoreAddNotList){
        this.goworkScoreAddNotList = goworkScoreAddNotList;
        return this;
    }

    /**
     * 设置  办件绩效指标扣减分数
     * @param goworkScoreSub
     */
    public StaffPerformStatQuery goworkScoreSub(BigDecimal goworkScoreSub){
        setGoworkScoreSub(goworkScoreSub);
        return this;
    }

    /**
     * 设置 开始 办件绩效指标扣减分数
     * @param goworkScoreSubStart
     */
    public StaffPerformStatQuery goworkScoreSubStart(BigDecimal goworkScoreSubStart){
        this.goworkScoreSubStart = goworkScoreSubStart;
        return this;
    }

    /**
     * 设置 结束 办件绩效指标扣减分数
     * @param goworkScoreSubEnd
     */
    public StaffPerformStatQuery goworkScoreSubEnd(BigDecimal goworkScoreSubEnd){
        this.goworkScoreSubEnd = goworkScoreSubEnd;
        return this;
    }

    /**
     * 设置 增加 办件绩效指标扣减分数
     * @param goworkScoreSubIncrement
     */
    public StaffPerformStatQuery goworkScoreSubIncrement(BigDecimal goworkScoreSubIncrement){
        this.goworkScoreSubIncrement = goworkScoreSubIncrement;
        return this;
    }

    /**
     * 设置 办件绩效指标扣减分数
     * @param goworkScoreSubList
     */
    public StaffPerformStatQuery goworkScoreSubList(List<BigDecimal> goworkScoreSubList){
        this.goworkScoreSubList = goworkScoreSubList;
        return this;
    }

    /**
     * 设置 办件绩效指标扣减分数
     * @param goworkScoreSubNotList
     */
    public StaffPerformStatQuery goworkScoreSubNotList(List<BigDecimal> goworkScoreSubNotList){
        this.goworkScoreSubNotList = goworkScoreSubNotList;
        return this;
    }

    /**
     * 设置  效能绩效指标增加分数
     * @param effectScoreAdd
     */
    public StaffPerformStatQuery effectScoreAdd(BigDecimal effectScoreAdd){
        setEffectScoreAdd(effectScoreAdd);
        return this;
    }

    /**
     * 设置 开始 效能绩效指标增加分数
     * @param effectScoreAddStart
     */
    public StaffPerformStatQuery effectScoreAddStart(BigDecimal effectScoreAddStart){
        this.effectScoreAddStart = effectScoreAddStart;
        return this;
    }

    /**
     * 设置 结束 效能绩效指标增加分数
     * @param effectScoreAddEnd
     */
    public StaffPerformStatQuery effectScoreAddEnd(BigDecimal effectScoreAddEnd){
        this.effectScoreAddEnd = effectScoreAddEnd;
        return this;
    }

    /**
     * 设置 增加 效能绩效指标增加分数
     * @param effectScoreAddIncrement
     */
    public StaffPerformStatQuery effectScoreAddIncrement(BigDecimal effectScoreAddIncrement){
        this.effectScoreAddIncrement = effectScoreAddIncrement;
        return this;
    }

    /**
     * 设置 效能绩效指标增加分数
     * @param effectScoreAddList
     */
    public StaffPerformStatQuery effectScoreAddList(List<BigDecimal> effectScoreAddList){
        this.effectScoreAddList = effectScoreAddList;
        return this;
    }

    /**
     * 设置 效能绩效指标增加分数
     * @param effectScoreAddNotList
     */
    public StaffPerformStatQuery effectScoreAddNotList(List<BigDecimal> effectScoreAddNotList){
        this.effectScoreAddNotList = effectScoreAddNotList;
        return this;
    }

    /**
     * 设置  效能绩效指标扣减分数
     * @param effectScoreSub
     */
    public StaffPerformStatQuery effectScoreSub(BigDecimal effectScoreSub){
        setEffectScoreSub(effectScoreSub);
        return this;
    }

    /**
     * 设置 开始 效能绩效指标扣减分数
     * @param effectScoreSubStart
     */
    public StaffPerformStatQuery effectScoreSubStart(BigDecimal effectScoreSubStart){
        this.effectScoreSubStart = effectScoreSubStart;
        return this;
    }

    /**
     * 设置 结束 效能绩效指标扣减分数
     * @param effectScoreSubEnd
     */
    public StaffPerformStatQuery effectScoreSubEnd(BigDecimal effectScoreSubEnd){
        this.effectScoreSubEnd = effectScoreSubEnd;
        return this;
    }

    /**
     * 设置 增加 效能绩效指标扣减分数
     * @param effectScoreSubIncrement
     */
    public StaffPerformStatQuery effectScoreSubIncrement(BigDecimal effectScoreSubIncrement){
        this.effectScoreSubIncrement = effectScoreSubIncrement;
        return this;
    }

    /**
     * 设置 效能绩效指标扣减分数
     * @param effectScoreSubList
     */
    public StaffPerformStatQuery effectScoreSubList(List<BigDecimal> effectScoreSubList){
        this.effectScoreSubList = effectScoreSubList;
        return this;
    }

    /**
     * 设置 效能绩效指标扣减分数
     * @param effectScoreSubNotList
     */
    public StaffPerformStatQuery effectScoreSubNotList(List<BigDecimal> effectScoreSubNotList){
        this.effectScoreSubNotList = effectScoreSubNotList;
        return this;
    }

    /**
     * 设置  其它绩效指标增加分数
     * @param otherScoreAdd
     */
    public StaffPerformStatQuery otherScoreAdd(BigDecimal otherScoreAdd){
        setOtherScoreAdd(otherScoreAdd);
        return this;
    }

    /**
     * 设置 开始 其它绩效指标增加分数
     * @param otherScoreAddStart
     */
    public StaffPerformStatQuery otherScoreAddStart(BigDecimal otherScoreAddStart){
        this.otherScoreAddStart = otherScoreAddStart;
        return this;
    }

    /**
     * 设置 结束 其它绩效指标增加分数
     * @param otherScoreAddEnd
     */
    public StaffPerformStatQuery otherScoreAddEnd(BigDecimal otherScoreAddEnd){
        this.otherScoreAddEnd = otherScoreAddEnd;
        return this;
    }

    /**
     * 设置 增加 其它绩效指标增加分数
     * @param otherScoreAddIncrement
     */
    public StaffPerformStatQuery otherScoreAddIncrement(BigDecimal otherScoreAddIncrement){
        this.otherScoreAddIncrement = otherScoreAddIncrement;
        return this;
    }

    /**
     * 设置 其它绩效指标增加分数
     * @param otherScoreAddList
     */
    public StaffPerformStatQuery otherScoreAddList(List<BigDecimal> otherScoreAddList){
        this.otherScoreAddList = otherScoreAddList;
        return this;
    }

    /**
     * 设置 其它绩效指标增加分数
     * @param otherScoreAddNotList
     */
    public StaffPerformStatQuery otherScoreAddNotList(List<BigDecimal> otherScoreAddNotList){
        this.otherScoreAddNotList = otherScoreAddNotList;
        return this;
    }

    /**
     * 设置  其它绩效指标扣减分数
     * @param otherScoreSub
     */
    public StaffPerformStatQuery otherScoreSub(BigDecimal otherScoreSub){
        setOtherScoreSub(otherScoreSub);
        return this;
    }

    /**
     * 设置 开始 其它绩效指标扣减分数
     * @param otherScoreSubStart
     */
    public StaffPerformStatQuery otherScoreSubStart(BigDecimal otherScoreSubStart){
        this.otherScoreSubStart = otherScoreSubStart;
        return this;
    }

    /**
     * 设置 结束 其它绩效指标扣减分数
     * @param otherScoreSubEnd
     */
    public StaffPerformStatQuery otherScoreSubEnd(BigDecimal otherScoreSubEnd){
        this.otherScoreSubEnd = otherScoreSubEnd;
        return this;
    }

    /**
     * 设置 增加 其它绩效指标扣减分数
     * @param otherScoreSubIncrement
     */
    public StaffPerformStatQuery otherScoreSubIncrement(BigDecimal otherScoreSubIncrement){
        this.otherScoreSubIncrement = otherScoreSubIncrement;
        return this;
    }

    /**
     * 设置 其它绩效指标扣减分数
     * @param otherScoreSubList
     */
    public StaffPerformStatQuery otherScoreSubList(List<BigDecimal> otherScoreSubList){
        this.otherScoreSubList = otherScoreSubList;
        return this;
    }

    /**
     * 设置 其它绩效指标扣减分数
     * @param otherScoreSubNotList
     */
    public StaffPerformStatQuery otherScoreSubNotList(List<BigDecimal> otherScoreSubNotList){
        this.otherScoreSubNotList = otherScoreSubNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public StaffPerformStatQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public StaffPerformStatQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  年
     * @param year
     */
    public StaffPerformStatQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public StaffPerformStatQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public StaffPerformStatQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public StaffPerformStatQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public StaffPerformStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public StaffPerformStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
    }

    /**
     * 设置  月
     * @param month
     */
    public StaffPerformStatQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public StaffPerformStatQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public StaffPerformStatQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public StaffPerformStatQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public StaffPerformStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public StaffPerformStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
    }

    /**
     * 设置  日
     * @param day
     */
    public StaffPerformStatQuery day(Integer day){
        setDay(day);
        return this;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public StaffPerformStatQuery dayStart(Integer dayStart){
        this.dayStart = dayStart;
        return this;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public StaffPerformStatQuery dayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
        return this;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public StaffPerformStatQuery dayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
        return this;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public StaffPerformStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
        return this;
    }

    /**
     * 设置 日
     * @param dayNotList
     */
    public StaffPerformStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
    }


    /**
     * 设置  创建人id
     * @param createUserId
     */
    public StaffPerformStatQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public StaffPerformStatQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public StaffPerformStatQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public StaffPerformStatQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public StaffPerformStatQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public StaffPerformStatQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新人id
     * @param updateUserId
     */
    public StaffPerformStatQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public StaffPerformStatQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public StaffPerformStatQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public StaffPerformStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public StaffPerformStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public StaffPerformStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }

    /**
     * 设置  所属大厅
     * @param salaId
     */
    public StaffPerformStatQuery salaId(Long salaId){
        setSalaId(salaId);
        return this;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public StaffPerformStatQuery salaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
        return this;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public StaffPerformStatQuery salaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public StaffPerformStatQuery salaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public StaffPerformStatQuery salaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public StaffPerformStatQuery salaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
        return this;
    }


    /**
     * 设置 所属大厅名称
     * @param salaName
     */
    public StaffPerformStatQuery salaName(String salaName){
        setSalaName(salaName);
        return this;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public StaffPerformStatQuery salaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
        return this;
    }

    /**
     * 设置  所属部门
     * @param deptId
     */
    public StaffPerformStatQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public StaffPerformStatQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public StaffPerformStatQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public StaffPerformStatQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public StaffPerformStatQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public StaffPerformStatQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public StaffPerformStatQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public StaffPerformStatQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<StaffPerformStatQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<StaffPerformStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<StaffPerformStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<StaffPerformStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}